import * as models from '../model/models';
export interface Machinecontrollerv1ApiInterface {
    [others: string]: any;
    create(details: models.MachineDetails, extraHttpRequestParams?: any): Promise<models.Machine>;
    delete(machineId: number, extraHttpRequestParams?: any): Promise<{}>;
    findAggregate(machineId: number, extraHttpRequestParams?: any): Promise<models.MachineAggregateDto>;
    findAll(ligneId?: number, extraHttpRequestParams?: any): Promise<Array<models.Machine>>;
    findOne(machineId: number, extraHttpRequestParams?: any): Promise<models.Machine>;
    getState(machineId: number, extraHttpRequestParams?: any): Promise<string>;
    replace(machineId: number, details: models.MachineDetails, extraHttpRequestParams?: any): Promise<models.Machine>;
    update(machineId: number, details: models.JsonPatch, extraHttpRequestParams?: any): Promise<models.Machine>;
}
